# `BB.Test.AsyncCommand`
[🔗](https://github.com/beam-bots/bb/blob/main/test/support/test_command.ex#L18)

A test command that waits for an explicit :complete message before finishing.

Usage:
  {:ok, cmd} = Runtime.execute(Robot, :async_cmd, %{notify: self()})
  assert_receive {:executing, ^cmd}
  # ... do stuff while command is running ...
  send(cmd, :complete)
  assert {:ok, :completed} = BB.Command.await(cmd)

---

*Consult [api-reference.md](api-reference.md) for complete listing*
